TIFFFieldDataType(3TIFF)

NAME
TIFFFieldDataType - Get TIFF data type from field information

SYNOPSIS
#include <tiffio.h>

TIFFDataType TIFFFieldDataType(const TIFFField* fip)

DESCRIPTION
TIFFFieldDataType returns the data type stored in a TIFF field.

fip is a field information pointer previously returned by TIFFFindField, TIFFFieldWithTag, or TIFFFieldWithName.

RETURN VALUES
TIFFFieldDataType returns a member of the enum type TIFFDataType.

SEE ALSO
libtiff(3TIFF),

Libtiff library home page: http://www.simplesystems.org/libtiff/